> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rapidagent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /tools/{toolId}

> Get single tool.

### Params

<ParamField path="toolId" required type="string">
  A valid `tool` ID.
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  Indicates whether the call was successful.
</ResponseField>

<ResponseField name="data" type="object">
  A single tool object.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request GET 'https://api.rapidagent.ai/api/v1/tools/{toolId}' \
  --header 'Content-Type: application/json' \
  --header 'Autorization: Bearer <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "id": "clhjmx2ka00016ilng9y0ha3f",
      "userId": "clhj28u1300006ig02ptpm1sh",
      "name": "My test tool",
      "type": "SEARCH",
      "user": {
        "id": "clhj28u1300006ig02ptpm1sh",
        "email": "jane@doe.com,
        "name": "Jane Doe",
        "createdAt": "2023-05-11T11:42:54.323000+00:00",
        "updatedAt": "2023-05-11T11:42:54.323000+00:00",
        "deletedAt": null,
        "profile": null,
        "Agent": null,
        "ApiToken": null,
        "Document": null
      },   
    }
  }
  ```
</ResponseExample>
